{% load static %}

<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>
    {% block title %}
    {% endblock %}
  </title>
  <link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}" />

  <style>
    body {
      display: flex;
      flex-direction: column;
      margin: 0;
      background-color: #93c3c4;
      background-repeat: no-repeat;
      background-size: cover;
      background-attachment: fixed;
    }


    .container {
      flex: 1;
    }

    .main-content {
      margin: 10px auto 20px;
      display: flex;
      justify-content: center;
    }

    .buttonDU {
      position: fixed;
      bottom: 20px;
      font-size: 20px;
      width: 50px;
      height: 50px;
      border-radius: 50%;
      background-color: #264550;
      /* Color de fondo del botón */
      color: #fff;
      border: none;
      cursor: pointer;
    }

    #scrollUpBtn {
      left: 20px;
    }

    #scrollDownBtn {
      /* Ajusta la posición vertical según sea necesario */
      right: 20px;
    }

    footer {
      padding: 1px;
      flex-shrink: 0;
      width: 100%;
      overflow-y: hidden;
    }

    .footer-content {
      width: 800px;
      /* Establece el ancho máximo que desees */
      margin: 0 auto;
      /* Centra el contenido horizontalmente */
      max-height: 215px;
      /* Cambia el valor según tus necesidades */
      overflow-y: hidden;
    }

    body {
      overflow-x: hidden;
      /* Desactiva el desplazamiento horizontal */
      overflow-y: auto;
      /* Desactiva el desplazamiento vertical si no es necesario */
    }
  </style>
</head>

<body style="display: flex; flex-direction: column; min-height: 100vh; margin: 0;">
  <button id="scrollUpBtn" class="buttonDU" onclick="scrollToTop()">⬆️</button>
  <button id="scrollDownBtn" class="buttonDU" onclick="scrollToBottom()">⬇️</button>
  <div class="container">
    <div class="row">
      <div class="col">
        <nav class="navbar navbar-expand-lg navbar-dark" style="background-color: #264550; border-radius: 10px;">
          <div class="container-fluid">
            <a href="{% url 'home:index' %}" style="border: none; float: left;" class="active"><img
                src="{% static 'img/LogoC.png' %}" style="height: 40px;" /></a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
              data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false"
              aria-label="Toggle navigation"><span class="navbar-toggler-icon"></span></button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
              <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                  <li class="nav-item">
                    <a class="nav-link active" aria-current="page" href="/#quienesSomos">¿Quiénes somos?</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link active" aria-current="page" href="/#unidades">Unidades</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link active" aria-current="page" href="{% url 'home:rutas' %}">Rutas</a>
                  </li>
                  {% if user.is_superuser %}
                  <li class="nav-item">
                    <a class="nav-link active" aria-current="page" href="{% url 'core:list_routes' %}">Lista Rutas</a>
                  </li>
                  {% endif %}
                  {% if request.user.is_authenticated %}
                  <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle text-white" href="#" role="button" data-bs-toggle="dropdown"
                      aria-expanded="false">
                      Empleados
                    </a>

                    <ul class="dropdown-menu">
                      <li class="nav-item">
                        <a class="nav-link active" aria-current="page"
                          href="{% url 'core:list_empleados' %}">Empleados</a>
                      </li> {% if user.is_superuser %}
                      <li>
                        <hr class="dropdown-divider">
                      </li>
                      <li class="nav-item">
                        <a class="nav-link active" aria-current="page"
                          href="{% url 'core:list_empleadostransportes' %}">EmpleadosTransp</a>
                      </li>
                      {% endif %}
                    </ul>
                    {% endif %}
                  </li>
                  {% if request.user.is_authenticated %}
                  <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle text-white" href="#" role="button" data-bs-toggle="dropdown"
                      aria-expanded="false">
                      Conductores
                    </a>
                    <ul class="dropdown-menu">
                      <li class="nav-item">
                        <a class="nav-link active" aria-current="page"
                          href="{% url 'core:list_conductores' %}">Conductores</a>
                      </li>
                      {% if user.is_superuser %}
                      <li>
                        <hr class="dropdown-divider">
                      </li>
                      <li class="nav-item">
                        <a class="nav-link active" aria-current="page"
                          href="{% url 'core:list_conductorestransportes' %}">ConductoresTransp</a>
                      </li>
                      {% endif %}
                    </ul>
                    {% endif %}
                  </li>
                  {% if user.is_superuser %}
                  <li class="nav-item">
                    <a class="nav-link active" aria-current="page"
                      href="{% url 'core:list_administradores' %}">Adminstradores</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link active" aria-current="page"
                      href="{% url 'core:list_transportes' %}">Transportes</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link active" aria-current="page" href="{% url 'core:list_paradas' %}">Paradas</a>
                  </li>
                  {% endif %}
                  <li>
                    {% if user.is_superuser %}
                    <a class="nav-link active" aria-current="page"
                      href="http://127.0.0.1:8000/admin/">Administracion</a>
                    {% endif %}
                  </li>
                </ul>

              </ul>
              </li>
              </ul>
              </ul>
              </li>

              {% if not request.user.is_authenticated %}
              <button type="button" class="btn btn-outline-light me-2"
                onclick="redirectTo('{% url 'home:login' %}')">Iniciar Sesión</button>
              <button type="button" class="btn btn-outline-light me-2"
                onclick="redirectTo('{% url 'home:signup' %}')">Registrarse</button>
              {% else %}
              <button type="button" class="btn btn-outline-light" onclick="redirectTo('{% url 'home:logout' %}')">Cerrar
                Sesión</button>
              {% endif %}


              <script>
                function redirectTo(url) {
                  if (url) {
                    window.location.href = url;
                  }
                }
              </script>
            </div>
          </div>
        </nav>
      </div>
    </div>
    <div class="main-content">
      {% block content %}
      {% endblock %}
    </div>
    <div class="row align-items-stretch">
      <div class="col">
        <footer class="text-white text-center text-lg-start"
          style="background-color: #264550; display: flex; flex-direction: column; max-width: 1300px; margin: 0 auto; border-radius: 10px;">
          <section class="footer-content">
            <div class="container text-center">
              <div class="row mt-3">
                <div class="col-md-4 col-lg-4 col-xl-4 mb-6 footer-column" style="position: relative;">
                  <h6 align="left" class="text-white text-uppercase fw-bold mb-6">Redes Sociales</h6>
                  <p align="left">
                    <a href="https://www.facebook.com/profile.php?id=61552843885228" target="blank"
                      class="text-reset"><i class="mdi mdi-facebook"></i> Facebook</a>
                  </p>
                  <p align="left">
                    <a href="https://www.instagram.com/jointkodersalliance/" target="blank" class="text-reset"><i
                        class="mdi mdi-instagram"></i> Instagram</a>
                  </p>
                  <p align="left">
                    <a href="https://twitter.com/JointKodersAlli" target="blank" class="text-reset"><i
                        class="mdi mdi-twitter"></i> Twitter</a>
                  </p>
                  <p align="left">
                    <a href="https://www.tiktok.com/@itsakzzl" target="blank" class="text-reset"><i
                        class="mdi mdi-tiktok"></i> TikTok</a>
                  </p>
                </div>

                <div class="col-md-4 col-lg-4 col-xl-4 mx-auto mb-md-0 mb-6 footer-column" style="position: relative;">
                  <a>
                    <h6 align="left" class="text-white text-uppercase fw-bold mb-6">Productos</h6>
                  </a>
                  <p align="left">
                    <a href="{% url 'home:formal' %}" class="text-reset">Uniforme Formal</a>
                  </p>
                  <p align="left">
                    <a href="{% url 'home:polo' %}" class="text-reset">Uniforme Polo</a>
                  </p>
                  <p align="left">
                    <a href="{% url 'home:tazas' %}" class="text-reset">Tazas</a>
                  </p>
                  <p align="left">
                    <a href="{% url 'home:gorras' %}" class="text-reset">Gorras</a>
                  </p>
                </div>

                <div class="col-md-4 col-lg-4 col-xl-4 mx-auto mb-md-0 mb-6 footer-column" style="position: relative;">
                  <a>
                    <h6 align="left" class="text-white text-uppercase fw-bold mb-6">Contacto</h6>
                  </a>
                  <p align="left">
                    <a href="https://maps.app.goo.gl/n1xBh8oXKmCzzm6b9" target="_blank" class="text-reset"><i
                        class="fas fa-map-marked-alt"></i> Tijuana, BC 11731, MX</a>
                  </p>
                  <p align="left">
                    <a href="mailto:jointkodersalliance@gmail.com" target="_blank" class="text-reset"><i
                        class="mdi mdi-google-maps"></i> jointkodersalliance@gmail.com</a>
                  </p>
                  <p align="left">
                    <a href="https://wa.me/qr/HH2324AHZZJOP1" target="_blank" class="text-reset"><i
                        class="mdi mdi-google-maps"></i> +52 (664) 369 2229</a>
                  </p>
                  <p align="left">
                    <a href="https://wa.me/qr/WPDXGSAZMNV3J1" target="_blank" class="text-reset"><i
                        class="mdi mdi-google-maps"></i> +52 (664) 472 8545</a>
                  </p>
                </div>
              </div>
            </div>
          </section>
        </footer>
      </div>
    </div>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
      $(document).ready(function () {
        var maxHeight = 0
        $('.footer-column').each(function () {
          var height = $(this).height()
          if (height > maxHeight) {
            maxHeight = height
          }
        })
        $('.footer-column').height(maxHeight)
      })
    </script>
    <script src="{% static 'js/bootstrap.bundle.min.js' %}"></script>

    <script>
      function scrollToTop() {
        window.scrollTo({
          top: 0,
          behavior: "smooth"
        });
      }

      function scrollToBottom() {
        window.scrollTo({
          top: document.body.scrollHeight,
          behavior: "smooth"
        });
      }</script>
</body>

</html>